This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 32254 - Add rendering hints
Summary: Add rendering hints
Status: RESOLVED WONTFIX
Alias: None
Product: platform
Classification: Unclassified
Component: Window System (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: David Strupl
URL:
Keywords:
Depends on:
Blocks: 32488
  Show dependency tree
 
Reported: 2003-03-24 21:31 UTC by David Strupl
Modified: 2008-12-22 13:35 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2003-03-24 21:31:50 UTC
When a custom L&F is used it is sometimes
desirable to pass some information (like a
putClienProperty) from the swing classes to the ui
classes. I will provide a patch for review. I
would be gratefull for a review whether thing like
this can go to the main trunk.
Comment 1 David Strupl 2003-04-02 20:09:51 UTC
Patches are on the branch platform_32247 in files:

Checking in core/src/org/netbeans/core/NbPresenter.java;
/cvs/core/src/org/netbeans/core/NbPresenter.java,v  <--  NbPresenter.java
new revision: 1.78.16.1; previous revision: 1.78
done
Processing log script arguments...
More commits to come...
Checking in openide/src/org/openide/WizardDescriptor.java;
/cvs/openide/src/org/openide/WizardDescriptor.java,v  <-- 
WizardDescriptor.java
new revision: 1.80.4.1.8.1; previous revision: 1.80.4.1
done
Comment 2 Marian Mirilovic 2003-11-26 12:55:14 UTC
Because Window System v1 will not be supported from now by our team, all old
winsys issues (now "core/window system v1" issues) are going to be closed as
WONTFIX. 

Changes in API which emerged both from UI spec 
and problems with adjusting to the older API are described in the document
http://core.netbeans.org/windowsystem/changes.html.
 It shows also recommends how the client code should be adjusted to the new
window system.

If you think this issue apply also to the new winsys then change the
subcomponent (to "core/window system") and REOPEN it.
Comment 3 mslama 2003-11-26 13:20:28 UTC
David is it obsolete or is it still valid?
Comment 4 David Strupl 2003-11-26 14:26:44 UTC
Our look and feel still needs some rendering hints. I have even
updated our patch - this is now only in NbPresenter. There are several
putClientProperty. But as the code is specific to our LAF I am not
sure whether code like this can go to the trunk.

In fact I would like to hear your opinion about this. The code marks
certain panels as foreground and other as background. The look and
feel then uses different colors to render them. If majority (or module
owner if that matters) would be against this we will have to keep this
code in our private branch.

Also please don't close this issue because it is not resolved. It is
marked as ENH so it should not spoil your statistics ;-)
Comment 6 David Strupl 2007-02-23 10:49:51 UTC
I have filed a new issue 96419 that will contain a patch dealing only with
borders and without the rendering hints. We will solve the hints by providing a
custom DialogDisplayer.